#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <fcntl.h>
#include <unistd.h>

#include "main.h"
#include "disk.h"
#include "config.h"

int write_super( int fd )
{ 
	if( lseek(fd,1024,SEEK_SET)<0 || write(fd,&superblock,sizeof(struct ext2_super_block))!=sizeof(struct ext2_super_block) )
	{	fprintf(stderr,"Superblock write error!\n");
		return(0);
	}
	if( lseek(fd,1024+blocksize,SEEK_SET)<0 || write(fd,group_desc_block,sizeof(struct ext2_group_desc)*groups)!=sizeof(struct ext2_group_desc)*groups )
	{	fprintf(stderr,"Group header write error!\n");
		return(0);
	}
	return(1);
}

